Distribution:	CCux
Packager:  	Stefan Gottwald <gotti@ccux-linux.de>

Summary:   	KTechlab is a development and simulation environment for PICs
Name:      	ktechlab
Version:   	0.3
Release:   	1
License: 	GNU/GPL
URL:		http://ktechlab.org
Group:     	Development/PIC
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		ktechlab-0.3-gcc-4.1.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  libX11-devel libXext-devel libXi-devel qt-devel 
BuildRequires:  glibc-devel zlib-devel libpng-devel libjpeg-devel
BuildRequires:	perl kdelibs-devel gpsim-devel libacl-devel
Requires:	gpsim gputils


%description
KTechlab is a development and simulation environment for microcontrollers 
and electronic circuits, distributed under the GNU General Public License.

KTechlab consists of several well-integrated components:

 A circuit simulator, capable of simulating logic, linear devices and 
  some nonlinear devices.
 Integration with gpsim, allowing PICs to be simulated in circuit.
 A schematic editor, which provides a rich real-time feedback of the 
  simulation.
 A flowchart editor, allowing PIC programs to be constructed visually.
 MicroBASIC; a BASIC-like compiler for PICs, written as a companion program 
  to KTechlab.
 An embedded Kate part, which provides a powerful editor for PIC programs.
 Integrated assembler and disassembler via gpasm and gpdasm.

Here are some key features of "KTechlab":

 Electronic Simulation
 PIC Simulation
 Logic Simulation
 Supported Components
 Programming
 MicroBASIC
 FlowCode
 Assembly

%prep
%setup -n %{name}-%{version}
%patch0

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_kdedir/share/doc/HTML/en/ktechlab
%_kdedir/share/apps/ktechlab/icons
%_kdedir/share/apps/ktechlab
%_kdedir/share/apps/katepart/syntax/microbe.xml
%_kdedir/share/icons/hicolor
%_kdedir/share/config.kcfg/ktechlab.kcfg
%_kdedir/share/applnk/Development/ktechlab.desktop
%_kdedir/share/mimelnk/application/x-circuit.desktop
%_kdedir/share/mimelnk/application/x-flowcode.desktop
%_kdedir/share/mimelnk/application/x-ktechlab.desktop
%_kdedir/share/mimelnk/application/x-microbe.desktop
%_kdedir/bin/microbe
%_kdedir/bin/ktechlab

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 26 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.3-1
- Initial Release
